// ==================================================================
// file: cpu_resources.cpp
// date: october 2012
// author: Jean-Michel Richer
// email: jean-michel.richer@univ-angers.fr
// ==================================================================

#include <xmmintrin.h>

extern int vector_size;
extern float *vector_h[3];

/**
 * allocate resources on CPU, create vectors
 * we use _mm_malloc to alilgn data with an address multiple of 16
 */
void cpu_allocate_resources() {
	for (int i=0; i<3; ++i) {
		vector_h[i] = (float *) _mm_malloc(vector_size * sizeof(float), 16);
    }
	
}

/**
 * free resources on CPU
 */ 
void cpu_free_resources() {
	for (int i=0; i<3; ++i) {
		_mm_free(vector_h[i]);
	}
}

