// ==================================================================
// file: kernel_cpu.cu
// date: october 2012
// author: Jean-Michel Richer
// email: jean-michel.richer@univ-angers.fr
// ==================================================================

#include "vector_sum.h"

extern int vector_size;
extern float *vector_h[3];
extern float a_h;

/**
 * compute sum on CPU
 */
void kernel_cpu(float a, float *x, float *y, float *z, int size) {
	for (int i=0; i<size; ++i) {
		z[i] = a * x[i] + y[i];
	}
}

/**
 * caller that setup arguments to call calculation method
 */
void kernel_cpu_caller() {
	kernel_cpu(a_h, X_H, Y_H, Z_H, vector_size);
}
